function closeItemHandler(ev) {
    var div = ev.target.parentElement;
    div.style.display = "none";
}

function checkItemHandler(ev) {
    ev.target.classList.toggle('checked');
}

// Create a "close" button and append it to each list item
var list = document.getElementsByTagName("li");
for (var i = 0; i < list.length; i++) {
    var span = document.createElement("span");
    span.textContent = "\u00D7";
    span.className = "close";
    span.onclick = closeItemHandler;
    list[i].appendChild(span);
}

// Add a "checked" symbol when clicking on a list item
document.querySelector('ul').addEventListener("click", checkItemHandler);

// Create a new list item when clicking on the "Add" button
function newElement() {
    var task = document.getElementById("new-task").value;
    
    if (task === "") {
        alert("Musíte niečo zadať!");
        return;
    } else {
        document.getElementById("new-task").value = "";
    }
    
    var span = document.createElement("span");
    span.textContent = "\u00D7";
    span.className = "close";
    span.onclick = closeItemHandler;

    var li = document.createElement("li");
    li.textContent = task;
    li.appendChild(span);
    
    document.getElementById("todo").appendChild(li);
}

